net.sf.jasperreports.components.headertoolbar

## Interface HeaderToolbarElement

-     public interface HeaderToolbarElement

  Version:
    $Id: HeaderToolbarElement.java 7092 2014-05-14 10:44:16Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELEMENT_NAME`
    `static JRGenericElementType` | `ELEMENT_TYPE`
    `static java.lang.String` | `PARAM_COLUMN_LABEL_PREFIX`
    `static java.lang.String` | `PARAMETER_COLUMN_LABEL`
    `static java.lang.String` | `PROPERTY_CAN_FILTER`
    `static java.lang.String` | `PROPERTY_CAN_FORMAT_CONDITIONALLY` Deprecated. To be removed.
    `static java.lang.String` | `PROPERTY_CAN_MOVE`
    `static java.lang.String` | `PROPERTY_CAN_RESIZE`
    `static java.lang.String` | `PROPERTY_CAN_SORT`
    `static java.lang.String` | `PROPERTY_CELL_ID`
    `static java.lang.String` | `PROPERTY_COLUMN_COMPONENT_NAME`
    `static java.lang.String` | `PROPERTY_COLUMN_FIELD_OR_VARIABLE_NAME` Deprecated. To be removed.
    `static java.lang.String` | `PROPERTY_COLUMN_INDEX`
    `static java.lang.String` | `PROPERTY_COLUMN_NAME`
    `static java.lang.String` | `PROPERTY_COLUMN_TYPE`
    `static java.lang.String` | `PROPERTY_COLUMN_UUID`
    `static java.lang.String` | `PROPERTY_CONDTION_TYPE`
    `static java.lang.String` | `PROPERTY_FILTER_PATTERN`
    `static java.lang.String` | `PROPERTY_FILTER_TYPE`
    `static java.lang.String` | `PROPERTY_TABLE_NAME`
    `static java.lang.String` | `PROPERTY_TABLE_UUID`
    `static java.lang.String` | `SORT_COLUMN_TOKEN_SEPARATOR`
    `static java.lang.String` | `SORT_ORDER_ASC`
    `static java.lang.String` | `SORT_ORDER_DESC`
    `static java.lang.String` | `SORT_ORDER_NONE`

- - ### Field Detail

    - #### ELEMENT_NAME

          static final java.lang.String ELEMENT_NAME

      See Also:
        Constant Field Values

    - #### ELEMENT_TYPE

          static final JRGenericElementType ELEMENT_TYPE

    - #### PARAM_COLUMN_LABEL_PREFIX

          static final java.lang.String PARAM_COLUMN_LABEL_PREFIX

      See Also:
        Constant Field Values

    - #### SORT_ORDER_ASC

          static final java.lang.String SORT_ORDER_ASC

      See Also:
        Constant Field Values

    - #### SORT_ORDER_DESC

          static final java.lang.String SORT_ORDER_DESC

      See Also:
        Constant Field Values

    - #### SORT_ORDER_NONE

          static final java.lang.String SORT_ORDER_NONE

      See Also:
        Constant Field Values

    - #### SORT_COLUMN_TOKEN_SEPARATOR

          static final java.lang.String SORT_COLUMN_TOKEN_SEPARATOR

      See Also:
        Constant Field Values

    - #### PROPERTY_TABLE_UUID

          static final java.lang.String PROPERTY_TABLE_UUID

      See Also:
        Constant Field Values

    - #### PROPERTY_TABLE_NAME

          static final java.lang.String PROPERTY_TABLE_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_UUID

          static final java.lang.String PROPERTY_COLUMN_UUID

      See Also:
        Constant Field Values

    - #### PROPERTY_CELL_ID

          static final java.lang.String PROPERTY_CELL_ID

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_FIELD_OR_VARIABLE_NAME

          static final java.lang.String PROPERTY_COLUMN_FIELD_OR_VARIABLE_NAME

      Deprecated. To be removed.
      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_NAME

          static final java.lang.String PROPERTY_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_COMPONENT_NAME

          static final java.lang.String PROPERTY_COLUMN_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### PARAMETER_COLUMN_LABEL

          static final java.lang.String PARAMETER_COLUMN_LABEL

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_TYPE

          static final java.lang.String PROPERTY_COLUMN_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_INDEX

          static final java.lang.String PROPERTY_COLUMN_INDEX

      See Also:
        Constant Field Values

    - #### PROPERTY_FILTER_TYPE

          static final java.lang.String PROPERTY_FILTER_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_FILTER_PATTERN

          static final java.lang.String PROPERTY_FILTER_PATTERN

      See Also:
        Constant Field Values

    - #### PROPERTY_CAN_SORT

          static final java.lang.String PROPERTY_CAN_SORT

      See Also:
        Constant Field Values

    - #### PROPERTY_CAN_FILTER

          static final java.lang.String PROPERTY_CAN_FILTER

      See Also:
        Constant Field Values

    - #### PROPERTY_CAN_MOVE

          static final java.lang.String PROPERTY_CAN_MOVE

      See Also:
        Constant Field Values

    - #### PROPERTY_CAN_RESIZE

          static final java.lang.String PROPERTY_CAN_RESIZE

      See Also:
        Constant Field Values

    - #### PROPERTY_CAN_FORMAT_CONDITIONALLY

          static final java.lang.String PROPERTY_CAN_FORMAT_CONDITIONALLY

      Deprecated. To be removed.
      See Also:
        Constant Field Values

    - #### PROPERTY_CONDTION_TYPE

          static final java.lang.String PROPERTY_CONDTION_TYPE

      See Also:
        Constant Field Values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com